# Class ECSRootSystem

根System，对游戏中的System遍历从这里开始，一个System组合中只能有一个RootSystem，可以有多个并行的RootSystem

#### Hierarchy

- ECSRootSystem

- Defined in assets/libs/ecs/ECSSystem.ts:167

#####
Index

### Constructors

constructor

### Properties

executeSystemFlows
systemCnt

### Methods

add
clear
execute
init

## Constructors

### constructor

- new ECSRootSystem(): ECSRootSystem

- #### Returns ECSRootSystem

## Properties

### `Private` executeSystemFlows

executeSystemFlows: ECSComblockSystem < ECSEntity >[] = []

- Defined in assets/libs/ecs/ECSSystem.ts:168

### `Private` systemCnt

systemCnt: number = 0

- Defined in assets/libs/ecs/ECSSystem.ts:169

## Methods

### add

- add(system: ECSSystem | ECSComblockSystem < ECSEntity >): ECSRootSystem

- #### Parameters

  - ##### system: ECSSystem | ECSComblockSystem < ECSEntity >

  #### Returns ECSRootSystem

  - Defined in assets/libs/ecs/ECSSystem.ts:171

### clear

- clear(): void

- #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:198

### execute

- execute(dt: number): void

- #### Parameters

  - ##### dt: number

  #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:191

### init

- init(): void

- #### Returns void

  - Defined in assets/libs/ecs/ECSSystem.ts:183

Generated using TypeDoc